# waypointdisconnect.cpp File Reference

Template File. More...

`#include "waypointdisconnect.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/valuenode_const.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::WaypointDisconnect)
| ACTION_SET_NAME (Action::WaypointDisconnect,"WaypointDisconnect")
| ACTION_SET_LOCAL_NAME (Action::WaypointDisconnect, N_("Disconnect Waypoint"))
| ACTION_SET_TASK (Action::WaypointDisconnect,"disconnect")
| ACTION_SET_CATEGORY (Action::WaypointDisconnect, Action::CATEGORY_WAYPOINT)
| ACTION_SET_PRIORITY (Action::WaypointDisconnect, 0)
| ACTION_SET_VERSION (Action::WaypointDisconnect,"0.0")
| ACTION_SET_CVS_ID (Action::WaypointDisconnect,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::WaypointDisconnect |  | ) |

ACTION_SET_NAME | ( | Action::WaypointDisconnect | ,
|  | "WaypointDisconnect" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::WaypointDisconnect | ,
|  | N_("Disconnect Waypoint") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::WaypointDisconnect | ,
|  | "disconnect" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::WaypointDisconnect | ,
|  | Action::CATEGORY_WAYPOINT |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::WaypointDisconnect | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::WaypointDisconnect | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::WaypointDisconnect | ,
|  | "$Id$" |  |
| ) |  |  |